> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# web3_sha3 | Plasma

> Plasma API method that returns Keccak-256 (not the standardized SHA3-256) of the given data. data — the data to convert into a SHA3 hash.

Plasma API method that returns Keccak-256 (not the standardized SHA3-256) of the given data.

## Parameters

* `data` — the data to convert into a SHA3 hash

## Response

* `data` — the SHA3 result of the given string

## `web3_sha3` code examples

<CodeGroup>
  ```javascript ethers.js theme={"system"}
  const { JsonRpcProvider } = require("ethers");

  const provider = new JsonRpcProvider("CHAINSTACK_NODE_URL");

  async function call() {
    const result = await provider.send("web3_sha3", []);
    console.log(result);
  }

  call();
  ```

  ```python web3.py theme={"system"}
  from web3 import Web3

  node_url = "CHAINSTACK_NODE_URL"
  web3 = Web3(Web3.HTTPProvider(node_url))

  # Make the call
  # Add your parameters here
  # result = web3.eth.<method_name>(...)
  print(result)
  ```

  ```shell cURL theme={"system"}
  curl -X POST "CHAINSTACK_NODE_URL" \
    -H "Content-Type: application/json" \
    --data '{
      "jsonrpc": "2.0",
      "method": "web3_sha3",
      "params": [],
      "id": 1
    }'
  ```
</CodeGroup>


## OpenAPI

````yaml openapi/plasma_node_api/client_info/web3_sha3.json POST /be84184cd12967be5a65d06651c60085
openapi: 3.0.0
info:
  title: Chainstack Node API
  version: 1.0.0
  description: This is an API for interacting with a Chainstack node.
servers:
  - url: https://plasma-mainnet.core.chainstack.com
security: []
paths:
  /be84184cd12967be5a65d06651c60085:
    post:
      tags:
        - upload
      summary: web3_sha3
      operationId: web3Sha3
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: integer
                  default: 1
                jsonrpc:
                  type: string
                  default: '2.0'
                method:
                  type: string
                  default: web3_sha3
                params:
                  type: array
                  items:
                    anyOf:
                      - type: string
                        title: Data
                        description: The data to convert into a SHA3 hash.
                  default:
                    - '0x68656c6c6f20776f726c64'
      responses:
        '200':
          description: >-
            Returns Keccak-256 (not the standardized SHA3-256) of the given
            data.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                  id:
                    type: integer
                  result:
                    type: object
                    nullable: true

````